package com.bonus.canteen.core.menu.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.time.LocalDateTime;

@TableName("menu_app_recipe")
public class MenuAppRecipe extends Model<MenuAppRecipe> {
   private static final long serialVersionUID = 1L;
   private Long recipeId;
   private Integer bindType;
   private Long mealLineId;
   private LocalDateTime bindTime;

   public Long getRecipeId() {
      return this.recipeId;
   }

   public Integer getBindType() {
      return this.bindType;
   }

   public Long getMealLineId() {
      return this.mealLineId;
   }

   public LocalDateTime getBindTime() {
      return this.bindTime;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setBindType(final Integer bindType) {
      this.bindType = bindType;
   }

   public void setMealLineId(final Long mealLineId) {
      this.mealLineId = mealLineId;
   }

   public void setBindTime(final LocalDateTime bindTime) {
      this.bindTime = bindTime;
   }

}
